class Submodelos {
  Submodelos({
    required this.result,
    required this.response,
    required this.message,
  });

  List<Result> result;
  bool response;
  String message;

  factory Submodelos.fromJson(Map<String, dynamic> json) => Submodelos(
    result: List<Result>.from(json["result"].map((x) => Result.fromJson(x))),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": List<dynamic>.from(result.map((x) => x.toJson())),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    required this.id,
    required this.linea,
    required this.submodelo,
  });

  String id;
  String linea;
  String submodelo;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    id: json["ID"],
    linea: json["LINEA"],
    submodelo: json["SUBMODELO"],
  );

  Map<String, dynamic> toJson() => {
    "ID": id,
    "LINEA": linea,
    "SUBMODELO": submodelo,
  };
}